spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Reply
Highlighted

spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Regular

Plan

Free

Country

France

 

Device

Linux computer

Operating System

Ubuntu 14.04.5 LTS

 

My Question or Issue

Todays update to 1:1.0.98.78.gb45d2a6b-10 crashes immediately when I start it (I do get to see a window). There is no debug information in the package so I cannot present a useful backtrace.

8 Replies
Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

user-removed
Not applicable

Similar problem on Gentoo package which is built from this source package from Debian. For me spotify opens up but when I want to play anything it instantly crashes. Console shows only segmentation fault. 

Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Regular

Gentoo ebuild on funtoo.  Segmentation fault when trying to play "On this device".  I can play/pause on other device from client. i think it is related to ALSA again 😕

Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Regular

[44093.399033] Core Thread[11374]: segfault at 0 ip 0000000000000000 sp 00007f30eb4672e8 error 14 in spotify[1ff000+1000]

Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

user-removed
Not applicable
Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Newbie

Did you tried to delete ~/.cache/spotify and ~/.cache/config ?

I had the same problem and i resolved it by doing that.

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

user-removed
Not applicable

yes, and it didn't help

Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Regular

The problem is ALSA - they messed with it again (not first time according to what i see in forums)

Highlighted

Re: spotify-client 1:1.0.98.78.gb45d2a6b-10 from Ubuntu package crashes on Ubuntu 14.04

Regular
But why would only the Debian package be affected?

That could make sense but only if the other package versions (Snap, flatpak) come with their own, newer or patched ALSA libraries, and Spotify makes use of new or patched functions.

But expecting and not getting a patched library should lead to crashing on all platforms (and surely they must have testing in place to catch that), while using a function missing from an ALSA library should give a loader error, not a vague crash.
SUGGESTED POSTS